/*
 * Copyright 2008-2009 Ben Boeckel <MathStuf@gmail.com>
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License along
 * with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

// Header include
#include "Grouping.h"

// Sigmodr tree includes
#include "BaseModel.h"

using namespace Sigmodr::Tree;

Grouping::Grouping()
{
}

Grouping::~Grouping()
{
    clearData();
}

int Grouping::find(BaseModel* model) const
{
    return m_objects.indexOf(model);
}

void Grouping::clearData()
{
    qDeleteAll(m_objects);
    m_objects.clear();
}
